std::is_assignable< _Tp, _Up >(3)

NAME
std::is_assignable< _Tp, _Up > -

SYNOPSIS

Inherits std::integral_constant< bool, __is_assignable_helper< _Tp, _Up >::value >.

  Public Types
typedef integral_constant
< bool, __v > type"
typedef bool value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename _Tp, typename _Up>struct std::is_assignable< _Tp, _Up >
is_assignable

Definition at line 1099 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.